local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local __TS__DecorateLegacy = ____lualib.__TS__DecorateLegacy
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ButtonAction = ____isaac_2Dtypescript_2Ddefinitions.ButtonAction
local ____decorators = require("decorators")
local Exported = ____decorators.Exported
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
____exports.ForgottenSwitch = __TS__Class()
local ForgottenSwitch = ____exports.ForgottenSwitch
ForgottenSwitch.name = "ForgottenSwitch"
__TS__ClassExtends(ForgottenSwitch, Feature)
function ForgottenSwitch.prototype.____constructor(self, pressInput)
    Feature.prototype.____constructor(self)
    self.v = {run = {shouldSwitch = false}}
    self.featuresUsed = {ISCFeature.PRESS_INPUT}
    self.pressInput = pressInput
end
function ForgottenSwitch.prototype.forgottenSwitch(self, player)
    self.pressInput:pressInput(player, ButtonAction.DROP)
end
__TS__DecorateLegacy({Exported}, ForgottenSwitch.prototype, "forgottenSwitch", true)
return ____exports
